// timer.cpp
// cRadio (Carl Radio) v0.9 , Carl van Schaik
// e-mail carl@leg.uct.ac.za

#ifndef TIMER_CPP
#define TIMER_CPP

#include "timer.moc"

sleepTimer::sleepTimer( QObject *parent, const char *name )
    : QObject( parent, name )
{
  initMetaObject();                           // initialize meta object
  duration = 0;
  counter = 0;
  state = 0; // not running
}

sleepTimer::setTimer(int t)
{
  duration = t;
  resetTimer();
}

sleepTimer::Go()
{
  timer = startTimer( 60000 );  // 1 minute intervals
  state = 1;
  counter = duration;
}

sleepTimer::resetTimer()
{
  killTimer(timer);
  state = 0;
}

int sleepTimer::isRunning()
{
  return state;
}

void sleepTimer::timerEvent( QTimerEvent *e )
{
  if (state)
    if (counter > 1) counter --;
    else
      {
	state = 0;
	emit timeUp();
	resetTimer();
      }
}

#endif
