/*
 * about_window.c
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "about_window.h"
#include "globals.h"

GtkWidget *_about_window = NULL;

GtkWidget*
create_about_window( void )
{
	const gchar *authors[] = { "F.Checconi <fchecconi@libero.it>", NULL };
	GtkWidget *about_window;

	about_window = gnome_about_new( "guiTuner", VERSION,
		"Copyright (c) 2000 Fabio Checconi",
		authors,
		"Simple guitar tuning utility",
		"guituner/logo.xpm" );
	gtk_object_set_data( GTK_OBJECT( about_window ), "about_window", about_window );
	gtk_container_set_border_width( GTK_CONTAINER( about_window ), 5 );
	gtk_window_set_modal( GTK_WINDOW( about_window ), TRUE );

	return about_window;
}
