/*
 * error_box.c
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG
#include <config.h>
#endif

#include <gnome.h>
#include "error_box.h"

GtkWidget *_error_box = NULL;

void
on_error_ok_clicked( GtkButton *button, gpointer user_data )
{
	gtk_widget_destroy( _error_box );
}

GtkWidget*
create_error_box( const char *txt )
{
	GtkWidget *error_box;
	GtkWidget *dialog_vbox1;
	GtkWidget *error_ok;
	GtkWidget *dialog_action_area1;

	error_box = gnome_message_box_new( txt, GNOME_MESSAGE_BOX_ERROR, NULL );
	gtk_object_set_data( GTK_OBJECT( error_box ), "error_box", error_box );
	gtk_container_set_border_width( GTK_CONTAINER( error_box ), 5 );
	gtk_window_set_title( GTK_WINDOW( error_box ), "Information" );
	gtk_window_set_modal( GTK_WINDOW( error_box ), TRUE );
	gtk_window_set_policy( GTK_WINDOW( error_box ), FALSE, FALSE, FALSE );

	dialog_vbox1 = GNOME_DIALOG( error_box )->vbox;
	gtk_object_set_data( GTK_OBJECT( error_box ), "dialog_vbox1", dialog_vbox1 );
	gtk_widget_show( dialog_vbox1 );

	gnome_dialog_append_button( GNOME_DIALOG( error_box ), GNOME_STOCK_BUTTON_OK );
	error_ok = g_list_last( GNOME_DIALOG( error_box )->buttons )->data;
	gtk_widget_ref( error_ok );
	gtk_object_set_data_full( GTK_OBJECT( error_box ), "error_ok", error_ok,
		(GtkDestroyNotify) gtk_widget_unref );
	gtk_widget_show( error_ok );
	GTK_WIDGET_SET_FLAGS( error_ok, GTK_CAN_DEFAULT );

	dialog_action_area1 = GNOME_DIALOG(error_box)->action_area;
	gtk_widget_ref( dialog_action_area1 );
	gtk_object_set_data_full( GTK_OBJECT( error_box ), "dialog_action_area1", dialog_action_area1,
		(GtkDestroyNotify) gtk_widget_unref );

	gtk_signal_connect( GTK_OBJECT( error_ok ), "clicked",
		GTK_SIGNAL_FUNC( on_error_ok_clicked ), NULL );

	return error_box;
}
