/*
 * globals.h
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _LGLOBALS_H
#define _LGLOBALS_H

#include <gnome.h>
#include "fft.h"
#include "note.h"
#include "tone.h"

#define STD_ERRNO   0
#define CUSTOM      1

#define REC_ORIGIN	0
#define SQR_ORIGIN	1
#define SIN_ORIGIN	2
#define TRI_ORIGIN	3
#define SUSPEND		4

extern char _custom_error_msg[];

struct line_ends {
	int x, y;
	int x1, y1;
};

typedef struct line_ends line_ends;

struct t_config {
	short		origin;
	unsigned int	srate;
	unsigned long	fft_points;
	short		mode;
	unsigned int	noise_gate;
	unsigned long	delay;
	unsigned long	freq_gate;
	int		string;
	int		tone_type;
	double		tone_freq;
};

typedef struct t_config t_config;

struct opt_menu_item {
	GtkWidget	*widget;
	int		id;
	char		*label;
};

typedef struct opt_menu_item opt_menu_item;

void error_msg ( const char *msg, int type, int val );
unsigned long xmalloc ( unsigned long size );

GtkWidget*  lookup_widget ( GtkWidget *widget, const gchar *widget_name );
#define get_widget lookup_widget

GtkWidget* create_pixmap ( GtkWidget *widget, const gchar *filename, gboolean gnome_pixmap );
GdkImlibImage* create_image ( const gchar *filename );


#endif
