/*
 * main.c
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "calc.h"
#include "globals.h"
#include "main_window.h"
#include "splash_window.h"

extern GtkWidget *_splash_window;
extern GtkWidget *_main_window;

t_config _config = { REC_ORIGIN, 32768, 32768, HARM_COUNT, 5, 80, 41, 0, SINE_WAVE, 82.40688937 };

int
main( int _argc, char *_argv[] )
{
	gnome_init( "guiTuner", VERSION, _argc, _argv );

	_splash_window = create_splash_window();
	gtk_widget_show( _splash_window );
	gtk_timeout_add( 3000, splash_timeout, NULL );

	_main_window = create_main_window();
	gtk_widget_show( _main_window );

	gtk_main();

	return 0;
}

