/*
 * splash_window.c
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gnome.h>
#include "globals.h"
#include "idle.h"
#include "splash_window.h"

GtkWidget *_splash_window;

gint
splash_timeout( gpointer data )
{
	if( _splash_window )
		gtk_widget_destroy( _splash_window );
	loop_config();

	return 0;
}

GtkWidget*
create_splash_window( void )
{
	GdkBitmap *mask;
	GdkColormap *colormap;
	GdkPixmap *pix;
	GtkWidget *splash_window, *pixmap;
	gchar *pathname;

	splash_window = gtk_window_new( GTK_WINDOW_POPUP );
	gtk_window_set_position( GTK_WINDOW( splash_window ), GTK_WIN_POS_CENTER );

	if( ( pathname = gnome_pixmap_file( "guituner/splash.xpm" ) ) == NULL ) {
		error_msg( "Splash pixmap not found", CUSTOM, 1 );
		return NULL;
	}

	colormap = gtk_widget_get_colormap( splash_window );
	pix = gdk_pixmap_colormap_create_from_xpm( NULL, colormap, &mask, NULL, pathname );
	pixmap = gtk_pixmap_new( pix, mask );
	gtk_widget_shape_combine_mask( splash_window, mask, 0, 0 );

	gtk_container_add( GTK_CONTAINER( splash_window ), pixmap );
	gtk_widget_show( pixmap );


	gdk_bitmap_unref( mask );
	g_free( pathname );

	return splash_window;
}