/*
 *  qdt, a simple fm tuner program to demonstrate the use of libradio 
 *  Copyright (C) 1999, 2000  Dan Johnson <dj51d@progworks.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include "radio.h"

int main(int argc, char **argv)
{
  float foo, ret = 0;
  __u16 tmp;
  ret = radio_init();
  if(ret != RADIO_OK) {perror("/dev/radio0"); exit(1);}
  if(argc < 2)
    exit(1);
  if(argv[1][0] == '-') {
    switch(argv[1][1]) {
    case 'm':
      mute();
      break;
    case 'u':
      unmute();
      break;
    case 'q':
      get_freq(&foo);
      printf("Tuned to %.1fMHz\n", foo);
      get_bass(&tmp);
      printf("Bass level: %d\n", tmp);
      get_treble(&tmp);
      printf("Treble level: %d\n", tmp);
      get_volume(&tmp);
      printf("Volume level: %d\n", tmp);
      get_signal(&tmp);
      printf("Signal strength: %d\n", tmp);
      printf("Using libradio version %s\n", radio_version());
      break;
    case 'b':
      set_bass(atoi(argv[2]));
      break;
    case 't':
      set_treble(atoi(argv[2]));
      break;
    case 'v':
      set_volume(atoi(argv[2]));
      break;
    default:
      radio_exit();
      exit(1);
    }
  }
  if(isdigit(argv[1][0])) {
    foo = atof(argv[1]);
    set_volume(32000);
    set_freq(foo);
  }
  radio_exit();
  return 0;
}
