/* mixer control routines for pcfm - Linux command line 
   interface for Gemtek PCFM radio, all the following code
   as well as that in radiocontrol.c & serialcontrol.c is by 
   Chris Radek. The pcfm.c code was based on pcradio.c by 
   Chris Radek, but heavily modified by Stew Benedict 
   (benedict@netcom.com) see pcfm.c for GNU copyleft statement */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/soundcard.h>

int openmixer(void) {
  int fd;

  fd = open("/dev/mixer", O_RDWR);
  if (fd<0) perror("open");
  return fd;
}

void setvolume(int fd, int value) {
  value = (value<<8)|value;
  if (ioctl(fd, SOUND_MIXER_WRITE_LINE, &value)<0) perror("ioctl write");
}

int getvolume(int fd) {
  int value;
  if (ioctl(fd, SOUND_MIXER_READ_LINE, &value)<0) perror("ioctl read");
  return ( ((value&0xff)+(value>>8)) /2 );
}

void closemixer(int fd) {
  close(fd);
}
