.TH pcfm n "04 Aug 97"
.SH NAME
pcfm \- command-line interface for Gemtek PCFM radio module
.SH SYNOPSIS
\fBpcfm\fP [-s <FM station>] [-c <AM station>] [-n] [-f] [-v <volume>] [-p] [-h]
.SH DESCRIPTION
\fBpcfm\fP is a command-line interface for the Gemtek PCFM
module, which connects to a serial port on your machine,
sending the audio output to the line-in of your sound card.

  It's a pretty basic program, with the ability to turn the
radio on and off, change stations, and adjust the volume.
In pipeline mode it can interface with it's sister program,
xpcfm, which is a Tcl-Tk GUI interface for X, giving the
program the look and feel of a car radio type interface.
.SS Options
.TP
\fB-s\fP 
FM station to tune, ie 89.3 
.TP
\fB-c\fP 
AM station to tune, ie 1134
.TP
\fB-n\fP
ON 
.TP
\fB-f\fP
OFF 
.TP
\fB-v\fP
volume 0-100
.TP
\fB-p\fP 
pipeline mode for xpcfm 
.TP
\fB-h,-?\fP
list usage
.TP
In pipeline mode, the same switches apply, without the '-'
.SH NOTES
\fBxpcfm\fP initially reads the file \fB.xpcfmrc\fP in your 
home directory.  The format of this file is as follows (I've 
included a sample in this distribution):

.nf
#rc file for xpcfm - Tcl/Tk interface for pcfm
#Copyright 1997, Stew Benedict (benedict@netcom.com
#list preferred stations - up to 16
#format is      FMStation:        FREQ    'CALL LETTERS'
#               AMStation:        FREQ    'CALL LETTERS'
#(tabs between each field)
#if call letters not used freq will be displayed

FMStation:        88.7    WUJC                                          
FMStation:        89.3    WCSB                                          
FMStation:        90.3    WCPN                                         
FMStation:        91.1    WRUW                                          
FMStation:        92.3    WZAK                                          
FMStation:        98.5    WNCX                                        
FMStation:        100.7   WMMS                                         
FMStation:        107.9   WENZ                                          

#list band/station/volume to select at startup

Startup:        FM	89.3    75
.fi
.SH FILES
.nf
/usr/local/bin/pcfm
/usr/X11/bin/xpcfm
/usr/X11/lib/X11/xpcfm/sample-xpcfmrc
/usr/X11/lib/X11/xpcfm/xpcfm.xbm
~/.xpcfmrc
/usr/local/man/mann/pcfm.n
/usr/local/man/mann/xpcfm.n
.fi
.SH AUTHOR
Copyright 1997 - Stew Benedict, benedict@netcom.com.  

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.
.SH ACKNOWLEDGEMENT
Thanks go to Chris Radek (cradek@hoser.inetnebr.com) 
for deciphering the Gemtek protocol
and sharing his pcradio source code.  The bulk of pcfm is Chris's
work, I just butchered it up into a command-line app for non-X users.
Many thanks to Atsushi Umeshima, who sent me the patches to version
1.10.  He added support for additional hardware which includes AM.
No thanks at all to Gemtek for refusing to help me with the serial
protocol for their PCFM module.  Are these companies selling hardware
or software?
.SH BUGS
None known.
