#include <gtk/gtk.h>
#include <gtk/gtkscale.h>

#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <sys/soundcard.h>
#include <fcntl.h>

#include <math.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

#define RADIO_DEVICE "/dev/radio"              /* major=81, minor=64 */
#define MIXER_DEVICE "/dev/mixer"
#define MIN_FREQ 87.5
#define MAX_FREQ 108.0 
#define VERSION "0.8"
#define STEPS 0.05

// rico_RADIO
	GtkWidget *main_window;
	
	GtkWidget *exit_mute, *exit_bg, *downbutton, *upbutton;
	GtkWidget *main_box, *vbox1, *vbox2, *top_box, *center_box, *bottom_box, *tune_box, *volume_box, *separator_box;
	GtkWidget *stat1, *stat2, *stat3, *stat4, *stat5, *stat6, *mute_toggle;

        GtkWidget *frequency;
	GtkWidget *vseparator;

	GtkWidget *scrollbar, *volumebar;
	GtkWidget *info;

	GtkObject *adj_tune, *adj_volume;

// misc
    int fd, taste_aktuell, vol_status; 
    gint mixer, volume;
    float freq, freq_c;
    float tasten_freq[] = { 0.0, 101.5, 89.1, 87.6, 94.7, 104.2, 107.8 };
    char freq_string[7], path_rc[256];
    FILE *config_file;

// options
    GtkWidget *opt_win;

    GtkWidget *bye, *save_1, *save_2, *save_3, *save_4, *save_5, *save_6;
    GtkWidget *hint;
    GtkWidget *vbox, *hbox_top, *label_box, *hbox_bottom;

#include "videodev.h"
#include "misc.c"
#include "options.c"

int main(int argc, char *argv[])
{	gtk_init(&argc, &argv);

	main_box = gtk_hbox_new(FALSE, 0);
	vbox1=gtk_vbox_new(FALSE, 0);
	vbox2=gtk_vbox_new(TRUE, 0);

	tune_box=gtk_hbox_new(TRUE, 0);
	volume_box=gtk_hbox_new(TRUE, 0);

	top_box=gtk_hbox_new(FALSE, 0);
 	center_box=gtk_hbox_new(TRUE, 0);
	bottom_box=gtk_hbox_new(TRUE, 0);

	main_window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_widget_set_uposition(main_window, 50, 50);
	gtk_widget_set_usize(main_window, 232,90); 
	gtk_window_set_title(GTK_WINDOW (main_window), ("rico_RADIO "VERSION));
        gtk_container_set_border_width(GTK_CONTAINER(main_window), 4);

	frequency = gtk_label_new(" ");

        stat1 = gtk_button_new_with_label("1");
        gtk_signal_connect(GTK_OBJECT(stat1), "clicked", GTK_SIGNAL_FUNC(stat_1), NULL);

	stat2 = gtk_button_new_with_label("2");
        gtk_signal_connect(GTK_OBJECT(stat2), "clicked", GTK_SIGNAL_FUNC(stat_2), NULL);

        stat3 = gtk_button_new_with_label("3");
        gtk_signal_connect(GTK_OBJECT(stat3), "clicked", GTK_SIGNAL_FUNC(stat_3), NULL);

	stat4 = gtk_button_new_with_label("4");
        gtk_signal_connect(GTK_OBJECT(stat4), "clicked", GTK_SIGNAL_FUNC(stat_4), NULL);

	stat5 = gtk_button_new_with_label("5");
        gtk_signal_connect(GTK_OBJECT(stat5), "clicked", GTK_SIGNAL_FUNC(stat_5), NULL);

	stat6 = gtk_button_new_with_label("6");
        gtk_signal_connect(GTK_OBJECT(stat6), "clicked", GTK_SIGNAL_FUNC(stat_6), NULL);

	downbutton = gtk_button_new_with_label("<<");
	gtk_signal_connect(GTK_OBJECT(downbutton), "clicked", GTK_SIGNAL_FUNC(tune_down), NULL);

        exit_mute = gtk_button_new_with_label("Quit");
        gtk_signal_connect(GTK_OBJECT(exit_mute), "clicked", GTK_SIGNAL_FUNC(quit_mute), NULL);

        exit_bg = gtk_button_new_with_label("Close");
        gtk_signal_connect(GTK_OBJECT(exit_bg), "clicked", GTK_SIGNAL_FUNC(gtk_main_quit), NULL);

	upbutton = gtk_button_new_with_label(">>");
        gtk_signal_connect(GTK_OBJECT(upbutton), "clicked", GTK_SIGNAL_FUNC(tune_up), NULL);

	info = gtk_button_new_with_label("...");
        gtk_signal_connect(GTK_OBJECT(info), "clicked", GTK_SIGNAL_FUNC(option_win), NULL);

	mute_toggle = gtk_toggle_button_new_with_label("mute");
        gtk_signal_connect(GTK_OBJECT(mute_toggle), "clicked", GTK_SIGNAL_FUNC(status_toggle), NULL);

	adj_tune = gtk_adjustment_new (105, MIN_FREQ, MAX_FREQ, STEPS, 0, 0);
	gtk_signal_connect (GTK_OBJECT (adj_tune), "value_changed", GTK_SIGNAL_FUNC (scroll_tune), NULL);
	scrollbar = gtk_hscale_new ( GTK_ADJUSTMENT (adj_tune) );
	gtk_scale_set_draw_value (GTK_SCALE (scrollbar), FALSE);

	adj_volume = gtk_adjustment_new (0, -100, 0, 1, 0, 0);
	gtk_signal_connect (GTK_OBJECT (adj_volume), "value_changed", GTK_SIGNAL_FUNC (scroll_volume), NULL);
	volumebar = gtk_vscale_new ( GTK_ADJUSTMENT (adj_volume) );
	gtk_scale_set_draw_value (GTK_SCALE (volumebar), FALSE);

	gtk_signal_connect_object(GTK_OBJECT(main_window), "destroy", GTK_SIGNAL_FUNC(quit_mute), GTK_OBJECT(main_window));

    init_radio();
    get_volume();
    lade_freq();

	gtk_box_pack_start(GTK_BOX(top_box), downbutton, FALSE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(top_box), frequency, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(top_box), upbutton, FALSE, TRUE , 0);
	gtk_box_pack_start(GTK_BOX(top_box), info, FALSE, TRUE, 0);

	gtk_box_pack_start(GTK_BOX(tune_box), scrollbar, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat1, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat2, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat3, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat4, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat5, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(center_box), stat6, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(bottom_box), exit_mute, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(bottom_box), exit_bg, TRUE, TRUE, 0);
        gtk_box_pack_start(GTK_BOX(bottom_box), mute_toggle, TRUE, TRUE, 0);
	
	gtk_box_pack_start(GTK_BOX(volume_box), volumebar, TRUE, TRUE, 0);
	
        gtk_box_pack_start(GTK_BOX(vbox1), top_box, TRUE, TRUE, 0);
        gtk_box_pack_start(GTK_BOX(vbox1), tune_box, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(vbox1), center_box, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(vbox1), bottom_box, TRUE, TRUE, 0);

	gtk_box_pack_start(GTK_BOX(vbox2), volume_box, TRUE, TRUE, 4);

	gtk_box_pack_start(GTK_BOX(main_box), vbox1, TRUE, TRUE, 0);
	gtk_box_pack_start(GTK_BOX(main_box), vbox2, TRUE, TRUE, 0);

	gtk_container_add(GTK_CONTAINER(main_window), main_box);

	gtk_widget_show_all(main_window);
	
        gtk_main();
    return(0);
}
